Unable to remove open-vm-tools - Error: Trying to remove "sangoma-pbx", which is protected

Hey all,

I’m trying to move FreePBX 15.0.24 from ESXi hypervisor to XCP-ng and need to uninstall Open VM Tools but its giving me bellow error.
I found some suggestions here ie. ‘yum downgrade kmod-forcedeth’ but can I do that since my official distro is fully up to date ?

[[email protected] ~]# yum update
Loaded plugins: fastestmirror, versionlock
Loading mirror speeds from cached hostfile
No packages marked for update
[[email protected] ~]# yum remove open-vm-tools
Loaded plugins: fastestmirror, versionlock
Resolving Dependencies
--> Running transaction check
---> Package open-vm-tools.x86_64 0:10.3.10-2.el7_8.1 will be erased
--> Processing Dependency: open-vm-tools for package: sangoma-pbx-2203-2.sng7.noarch
--> Running transaction check
---> Package sangoma-pbx.noarch 0:2203-2.sng7 will be erased
--> Finished Dependency Resolution
Error: Trying to remove "sangoma-pbx", which is protected
[[email protected] ~]#

Any help will be much appreciated!

Anyone?

Hi Team,
I need to bump this also. When trying to remove unused packages due to vulnerability mgmt we’re getting the same error. Have v15.0.24 as above and tried the kmod downgrades suggested.
yum downgrade kmod-forcedeth also the previous…
“yum downgrade kmod-via-rhine yum downgrade kmod-via-rhine yum downgrade kmod-via-velocity yum downgrade kmod-via-velocity yum upgrade”
Still getting the same errors and when running yum -y remove ‘package’
Any ideas?